<?php
/*
Автор кода: -=MTV=-,Shot_(Robber),Allion,MarK
Официальны сайт поддержки: http://strongcms.ru 
*/

$title = 'Библиотека';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!$user['id']) {
header('Location: '.$HOME.'');
exit();
}

switch($_GET['act'])
{
default:

echo '<div class="title">'.$title.'</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `lib_razdel` "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

echo '<div class="links"><img src="/images/search_meta.png" alt="*" /> <a href="/lib/poisk">Поиск по меткам</a></div>';

$lib = mysql_query("SELECT * FROM `lib_razdel` ORDER BY `id` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($lib))
{
echo '<div class="podmenu">
<img src="/images/dir.png" alt="*""> 
<a href="/lib/razdel'.$a['id'].'">'.$a['name'].'</a> ['.mysql_result(mysql_query('select count(`id`) from `lib_stat` where `razdel` = "'.$a['id'].'"'),0).']';
if($user['level'] >= 3) echo ' [<a href="/lib/del_razdel'.$a['id'].'">del</a>|<a href="/lib/red_razdel'.$a['id'].'">red</a>]';
echo '<div class="divnews">'.smile(bb($a['opis'])).'</div></div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Папок еще нет!</center></b></div>';
if($k_page>1) echo str(''.$HOME.'/lib?',$k_page,$page); // Вывод страниц

if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*"/> <a href="'.$HOME.'/lib/new_pap">Добавить папку</a></div>';

break;
case 'new_pap':

echo '<div class="title"><a href="/lib">'.$title.'</a> | Новая папка</div>';

if($user['level'] < 3) {
header('Location: '.$HOME.'/lib');
exit();
}

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание папки!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название папки!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("INSERT INTO `lib_razdel` SET `name` = '".$name."',`opis` = '".$opis."'");
echo '<div class="podmenu"><center><b>Папка успешно создана!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">  
Имя папки:<br /> <input type="text" name="name" value=""/><br />
Описание папки:<br /><textarea name="opis"></textarea><br />
<input type="submit" name="submit" value="Создать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/lib/">Назад в библиотеку</a></div>';

break;
case 'red_razdel':

$id = abs(intval($_GET['id']));
$lib = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_razdel` WHERE `id` = '".$id."'"));

if($lib == 0) {
echo '<div class="title">'.$title.' | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
header('Location: '.$HOME.'/lib');
exit();
}

echo '<div class="title"><a href="/lib">'.$title.'</a> | <a href="/lib/razdel'.$id.'">'.$lib['name'].'</a> | Редактирования</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание папки!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название папки!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `lib_razdel` SET `name` = '".$name."',`opis` = '".$opis."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST"> 
Имя папки:<br /> <input type="text" name="name" value="'.$lib['name'].'"/><br />
Описание:<br /><textarea name="opis">'.$lib['opis'].'</textarea><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/lib/">Назад в библиотеку</a></div>';

break;
case 'del_razdel':

$id = abs(intval($_GET['id']));
$lib = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_razdel` WHERE `id` = '".$id."'"));

if($lib == 0) {
echo '<div class="title"><a href="'.$HOME.'/lib/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
header('Location: '.$HOME.'/lib/');
exit();
}

if(isset($_REQUEST['ok'])) {

$sql = mysql_query("SELECT * FROM `lib_stat` WHERE `razdel` = '".$id."' ");

mysql_query("DELETE FROM `lib_razdel` where `id` = '".$id."'");
mysql_query("DELETE FROM `lib_stat` where `razdel` = '".$id."'");

while($f = mysql_fetch_assoc($sql)){ 
unlink("../files/lib/".$f['files']."");
} 

header('Location: '.$HOME.'/lib');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/lib/">'.$title.'</a> | Удаление папки</div>
<div class="podmenu">Вы действительно хотите удалить эту папку?<br /><a href="?ok">Да</a></div>';

break;
case 'razdel':

$id = abs(intval($_GET['id']));
$lib = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_razdel` WHERE `id` = '".$id."'"));

if($lib == 0) {
echo '<div class="title"><a href="'.$HOME.'/lib/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="/lib">'.$title.'</a> | '.$lib['name'].' </div>';

if($user['level'] >= 3) echo '<div class="podmenu"><img src="'.$HOME.'/images/add.png" alt="*"/> <a href="'.$HOME.'/lib/new_stat'.$id.'">Добавить книгу</a></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `lib_stat` WHERE `razdel` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$lib = mysql_query("SELECT * FROM `lib_stat` WHERE `razdel` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($lib))
{

$array = explode(" ", $a['opis']);
$text_num = array_slice($array, 0, 20);
$text_v = implode(" ", $text_num);
$text_v .= '...';

echo '<div class="links">
<img src="/images/stat.png" alt="*""> 
<a href="/lib/kniga'.$a['id'].'">'.$a['name'].'</a> ';
if($user['level'] >= 3) echo ' [<a href="/lib/del_knig'.$a['id'].'">del</a>|<a href="/lib/red_knig'.$a['id'].'">red</a>]';
echo '</div><div class="podmenu">'.smile(bb($text_v)).'</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Книг еще нет!</center></b></div>';
if($k_page>1) echo str(''.$HOME.'/lib/razdel'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'new_stat':

$id = abs(intval($_GET['id']));
$lib = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_razdel` WHERE `id` = '".$id."'"));

if($lib == 0) {
echo '<div class="title"><a href="'.$HOME.'/lib/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
header('Location: '.$HOME.'/lib');
exit();
}

echo '<div class="title"><a href="/lib">'.$title.'</a> | <a href="/lib/razdel'.$id.'">'.$lib['name'].'</a> | Новая книга</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);
$meta = strong($_POST['meta']);

$maxsize = 2; //Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; //Вес файла

/* Тип файлов которые можно загружать */
$filetype = array ( 'jar', 'jad', 'apk', 'sis', 'sisx', 'zip', 'rar' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1);

if(mb_strlen($meta) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($meta)) $err = 'Введите метки для поиска!';
if ($size > (1048576 * $maxsize)) $err ='Максимальный размер файла '.$maxsize.'мб!';
if(!in_array($upfiletype,$filetype)) $err ='К загрузке разрешены файлы форматом JAR,JAD,APK,SIS,SISX,ZIP,RAR!';
if(!@file_exists($_FILES['filename']['tmp_name'])) $err ='Вы не выбрали файл!';
if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание книги!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название книги!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/lib/".$files.""); 

/* Делаем запрос */
mysql_query("INSERT INTO `lib_stat` SET `razdel` = '".$id."',`meta` = '".$meta."',`name` = '".$name."',`opis` = '".$opis."',`files` = '".$files."'");

$sql = mysql_insert_id();
header('Location: '.$HOME.'/lib/kniga'.$sql.'');
exit();
}

echo '<div class="podmenu"><form action="" method="post" enctype="multipart/form-data"> 
Имя книги:<br /> <input type="text" name="name" value=""/><br />
Описание:<br /><textarea name="opis"></textarea><br />
Книга:<br /><input type="file" name="filename"/><br /> 
Метки:<br /> <input type="text" name="meta" value=""/><br />
<input type="submit" name="submit" value="Опубликовать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/lib/">Назад в библиотеку</a></div>';

break;
case 'kniga':

$id = abs(intval($_GET['id']));
$lib = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_stat` WHERE `id` = '".$id."'"));
$razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_razdel` WHERE `id` = '".$lib['razdel']."'"));

if($lib == 0) {
echo '<div class="title"><a href="'.$HOME.'/lib/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой книги не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="/lib">'.$title.'</a> | <a href="/lib/razdel'.$razdel['id'].'">'.$razdel['name'].'</a> | '.$lib['name'].'</div>';

echo '<div class="podmenu"><img src="/images/stat.png" alt="*""> '.$lib['name'].'
<div class="divnews">'.nl2br(smile(bb($lib['opis']))).'</div></div>
<div class="podmenu"><b>Метки книги:</b> '.$lib['meta'].'
<br /> <br />
<img src="/images/book_open.png" alt="*" />  <a href="/files/lib/'.$lib['files'].'">'.$lib['files'].'</a></div>';

break;
case 'red_knig':

$id = abs(intval($_GET['id']));
$lib = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_stat` WHERE `id` = '".$id."'"));
$razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_razdel` WHERE `id` = '".$lib['razdel']."'"));

if($lib == 0) {
echo '<div class="title"><a href="'.$HOME.'/lib/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой книги не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
header('Location: '.$HOME.'/lib');
exit();
}

echo '<div class="title"><a href="/lib">'.$title.'</a> | <a href="/lib/razdel'.$razdel['id'].'">'.$razdel['name'].'</a> | <a href="/lib/kniga'.$id.'">'.$lib['name'].'</a> | Редактирование</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);
$meta = strong($_POST['meta']);

if(mb_strlen($meta) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($meta)) $err = 'Введите метки книги!';
if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание книги!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название книги!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `lib_stat` SET `name` = '".$name."',`opis` = '".$opis."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST"> 
Имя книги:<br /> <input type="text" name="name" value="'.$lib['name'].'"/><br />
Описание книги:<br /><textarea name="opis">'.$lib['opis'].'</textarea><br />
Метка книги:<br /> <input type="text" name="meta" value="'.$lib['meta'].'"/><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/lib/">Назад в библиотеку</a></div>';

break;
case 'del_knig':

$id = abs(intval($_GET['id']));
$lib = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_stat` WHERE `id` = '".$id."'"));
$razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `lib_razdel` WHERE `id` = '".$lib['razdel']."'"));

if($lib == 0) {
echo '<div class="title"><a href="'.$HOME.'/lib/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой книги не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
header('Location: '.$HOME.'/lib');
exit();
}

echo '<div class="title"><a href="/lib">'.$title.'</a> | <a href="/lib/razdel'.$razdel['id'].'">'.$razdel['name'].'</a> | <a href="/lib/kniga'.$id.'">'.$lib['name'].'</a> | Редактирование</div>';

if(isset($_REQUEST['ok'])) {
mysql_query("DELETE FROM `lib_stat` where `id` = '".$id."'");

unlink("../files/lib/".$lib['files']."");

header('Location: '.$HOME.'/lib/razdel'.$razdel['id'].'');
exit();
}

echo '<div class="podmenu">Вы действительно хотите удалить эту книгу?<br /><a href="?ok">Да</a></div>';


break;
case 'poisk':

echo '<div class="title"><a href="/lib">'.$title.'</a> | Поиск по меткам</div>';

echo '<div class="podmenu"><form action="" method="POST">
Метка поиска: <br />
<input type="text" name="meta" value="" maxlength="30" /><br />
<input type="submit" name="submit" value="Искать" />
</form></div>';


/* Если нажали кнопку искать */
if(isset($_REQUEST['submit'])) {

/* Фильтрируем */
$meta = strong($_POST['meta']);

if(strlen($meta) <1) {
echo '<div class="podmenu"><center><b>Минимальная длина запроса 1 символ!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><img src="/design/gradient/lol.png" alt="*" /> Результаты поиска:</div>';

$s = mysql_query("SELECT * FROM `lib_stat` where `meta` LIKE '%".$meta."%' ORDER BY `id` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `lib_stat` where `meta` LIKE '%".$meta."%' "),0);

/* Выводим */
while($a = mysql_fetch_assoc($s)){
$array = explode(" ", $a['opis']);
$text_num = array_slice($array, 0, 20);
$text_v = implode(" ", $text_num);
$text_v .= '...';

echo '<div class="links">
<img src="/images/stat.png" alt="*""> 
<a href="/lib/kniga'.$a['id'].'">'.$a['name'].'</a> ';
if($user['level'] >= 3) echo ' [<a href="/lib/del_knig'.$a['id'].'">del</a>|<a href="/lib/red_knig'.$a['id'].'">red</a>]';
echo '</div><div class="podmenu">'.smile(bb($text_v)).'</div>';
}
}

/* Если никого на нашли */
if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';

break;
}

require_once ('../system/footer.php');
?>